## r-cran-rgeos 0.6

=== DESCRIPTION ===
Package: rgeos
Title: Interface to Geometry Engine - Open Source ('GEOS')
Version: 0.6-1
Date: 2022-12-12
Depends: R (>= 3.3.0), methods, sp (>= 1.1-0)
Imports: utils, stats, graphics
LinkingTo: sp
Suggests: maptools (>= 0.8-5), testthat, XML, maps, rgdal
NeedsCompilation: yes
LazyLoad: yes
Description: Interface to Geometry Engine - Open Source ('GEOS') using the C 'API' for topology operations on geometries. Please note that 'rgeos' will be retired during 2023, plan transition to sf functions using 'GEOS' at your earliest convenience. The 'GEOS' library is external to the package, and, when installing the package from source, must be correctly installed first. Windows and Mac Intel OS X binaries are provided on 'CRAN'. ('rgeos' >= 0.5-1): Up to and including 'GEOS' 3.7.1, topological operations succeeded with some invalid geometries for which the same operations fail from and including 'GEOS' 3.7.2. The 'checkValidity=' argument defaults and structure have been changed, from default FALSE to integer default '0L' for 'GEOS' < 3.7.2 (no check), '1L' 'GEOS' >= 3.7.2 (check and warn). A value of '2L' is also provided that may be used, assigned globally using 'set_RGEOS_CheckValidity(2L)', or locally using the 'checkValidity=2L' argument, to attempt zero-width buffer repair if invalid geometries are found. The previous default (FALSE, now '0L') is fastest and used for 'GEOS' < 3.7.2, but will not warn users of possible problems before the failure of topological operations that previously succeeded. From 'GEOS' 3.8.0, repair of geometries may also be attempted using 'gMakeValid()', which may, however, return a collection of geometries of different types.
Authors@R: c(
	person("Roger", "Bivand", role = c("cre", "aut"), email = "Roger.Bivand@nhh.no", comment=c(ORCID="0000-0003-2392-6140")),
	person("Colin", "Rundel", role = "aut"),
	person("Edzer", "Pebesma", role = "ctb"),
	person("Rainer", "Stuetz", role = "ctb"),
	person("Karl Ove", "Hufthammer", role = "ctb"),
        person("Patrick", "Giraudoux", role = "ctb"),
        person("Martin", "Davis", role = c("cph", "ctb")),
        person("Sandro", "Santilli", role = c("cph", "ctb")))
License: GPL (>= 2)
URL: https://r-forge.r-project.org/projects/rgeos/ https://libgeos.org
        http://rgeos.r-forge.r-project.org/index.html
SystemRequirements: GEOS (>= 3.2.0); for building from source: GEOS
        from https://libgeos.org; GEOS OSX frameworks built by William
        Kyngesburye at http://www.kyngchaos.com/ may be used for source
        installs on OSX.
RoxygenNote: 6.1.1
Packaged: 2022-12-12 20:17:30 UTC; rsb
Author: Roger Bivand [cre, aut] (<https://orcid.org/0000-0003-2392-6140>),
  Colin Rundel [aut],
  Edzer Pebesma [ctb],
  Rainer Stuetz [ctb],
  Karl Ove Hufthammer [ctb],
  Patrick Giraudoux [ctb],
  Martin Davis [cph, ctb],
  Sandro Santilli [cph, ctb]
Maintainer: Roger Bivand <Roger.Bivand@nhh.no>
Repository: CRAN
Date/Publication: 2022-12-14 08:10:02 UTC

## r-cran-rgeos 0.6-1

=== debian/changelog ===
r-cran-rgeos (0.6-1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 20 Dec 2022 17:03:39 +0100

r-cran-rgeos (0.5-9-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload.

 -- Nilesh Patra <nilesh@debian.org>  Wed, 19 Oct 2022 18:00:55 +0530

r-cran-rgeos (0.5-9-1) unstable; urgency=medium

  * Initial release (closes: #844197)

 -- Andreas Tille <tille@debian.org>  Wed, 25 May 2022 10:59:41 +0200

=== debian/control ===
Source: r-cran-rgeos
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-sp,
               libgeos-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rgeos
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rgeos.git
Homepage: https://cran.r-project.org/package=rgeos
Rules-Requires-Root: no

Package: r-cran-rgeos
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R interface to geometry engine
 This GNU R package provides an Interface to the Geometry Engine - Open Source
 (GEOS) using the C API for topology operations on geometries.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-maptools,
         r-cran-testthat,
         r-cran-xml,
         r-cran-maps,
         r-cran-rgdal
Restrictions: allow-stderr

## r-cran-rgeos 0.6-4

=== debian/changelog ===
r-cran-rgeos (0.6-4-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:25:34 +1100

r-cran-rgeos (0.6-4-2build1) noble; urgency=medium

  * No-change rebuild against libgeos-c1t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 22:57:14 +0000

r-cran-rgeos (0.6-4-2) unstable; urgency=medium

  * Do not use r-cran-rgdal for autopkgtest since this package will
    probably be removed soon
    Closes: #1050533

 -- Andreas Tille <tille@debian.org>  Mon, 28 Aug 2023 13:41:22 +0200

r-cran-rgeos (0.6-4-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 22 Jul 2023 17:47:12 +0200

r-cran-rgeos (0.6-3-1) unstable; urgency=medium

  * New upstream version
  * Fix failure with failure with GEOS 3.12 (Thanks for the patch to
    Bas Couwenberg)
    Closes: #1038733

 -- Andreas Tille <tille@debian.org>  Wed, 21 Jun 2023 11:33:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: r-cran-rgeos
-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-maptools (>= 0.8-5),
        r-cran-testthat,
        r-cran-xml,
        r-cran-maps,
# <dh-update-R>do not delete this</dh-update-R>
#        r-cran-rgdal
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/rgeos_([-\d.]*)\.tar\.gz
